> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 设置 Apple 应用列表任务

> 此端点将提供在 [App Store](https://) 平台热门应用排行榜中发布的移动应用列表。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/app_data/apple/app_list/task_post
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/app_data/apple/app_list/task_post:
    post:
      summary: 设置 Apple 应用列表任务
      description: >-
        此端点将提供在 [App Store](https://)
        平台热门应用榜单中发布的移动应用列表。返回的结果取决于应用集合以及[语言](https://docs.dataforseo.com/v3/app_data/apple/languages.md)和[位置](https://docs.dataforseo.com/v3/app_data/apple/locations.md)参数。
      operationId: post_dataforseo_app_data_apple_app_list_task_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                app_collection:
                  type: string
                  description: >-
                    应用集合，必填字段。用于收集应用的 App Store 应用集合；可指定以下值：top_free_ios,
                    top_paid_ios, top_grossing_ios, new_ios, new_free_ios,
                    new_paid_ios
                location_name:
                  type: string
                  description: >-
                    搜索引擎位置的完整名称。如果未指定 location_code，则为必填字段。如果使用此字段，则无需指定
                    location_code。可通过向
                    https://api.dataforseo.com/v3/app_data/apple/locations
                    单独发送请求，获取搜索引擎的可用位置及其 location_name。示例：West Los
                    Angeles,California,United States
                location_code:
                  type: integer
                  description: >-
                    搜索引擎位置代码 如果未指定 location_name，则为必填字段 如果使用此字段，则无需指定
                    location_name 可以通过向
                    https://api.dataforseo.com/v3/app_data/apple/locations
                    单独发送请求，获取包含 location_code 的搜索引擎可用位置列表 示例：9061121
                language_name:
                  type: string
                  description: >-
                    搜索引擎语言的完整名称；如果未指定 language_code，则为必填字段；如果使用此字段，则无需指定
                    language_code；可通过向
                    https://api.dataforseo.com/v3/app_data/apple/languages
                    单独发起请求，获取包含 language_name 的可用语言列表；示例：English
                language_code:
                  type: string
                  description: >-
                    搜索引擎语言代码。如果未指定 language_name，则此字段为必填字段。使用此字段时，无需指定
                    language_name。您可以向
                    https://api.dataforseo.com/v3/app_data/apple/languages
                    单独发起请求，获取包含 language_code 的可用语言列表。示例：en
                priority:
                  type: integer
                  description: >-
                    任务优先级，可选字段，可采用以下值：1 – 普通执行优先级（默认设置）；2 –
                    高执行优先级。高执行优先级任务将收取额外费用。费用可在定价页面计算。
                depth:
                  type: integer
                  description: >-
                    解析深度，可选字段，要从 App Store SERP 返回的应用数量；强烈建议将解析深度设置为 100
                    的倍数，因为我们的系统每次处理 100 条结果；默认值：100，最大值：1000。对于每个包含最多 100 条结果的
                    SERP，您的账户都将被计费；如果搜索引擎返回超过 100 条结果，将 depth 设置为高于 100
                    可能会产生额外费用；费用可在 Pricing 页面计算。
                app_category:
                  type: string
                  description: >-
                    App Store
                    上的应用类别，可选字段；您可以按应用类别筛选结果；示例：lifestyle；您可以在此处查看完整的可用类别列表，也可以向
                    https://api.dataforseo.com/v3/app_data/apple/categories
                    单独发起请求来获取该列表
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
                postback_url:
                  type: string
                  description: >-
                    用于发送任务结果的 URL，可选字段；任务完成后，我们会向指定的 postback_url 发送 POST
                    请求，其结果采用 gzip 格式压缩；可以使用字符串 ‘$id’ 作为 $id 变量，并使用 ‘$tag’ 作为经过
                    URL 编码的 $tag
                    变量。我们会在发送请求前设置必要的值。示例：http://your-server.com/postbackscript?id=$id
                    http://your-server.com/postbackscript?id=$id&tag=$tag
                    注意：postback_url 中的特殊字符将经过 URL 编码；例如，# 字符将被编码为
                    %23；有关更多信息，请参阅我们的帮助中心
                postback_data:
                  type: string
                  description: >-
                    postback_url 数据类型；如果指定
                    postback_url，则此为必填字段；对应将发送到您的服务器的数据类型；可选值：advanced
                pingback_url:
                  type: string
                  description: >-
                    已完成任务的通知 URL。可选字段。任务完成后，我们将通过向您指定的 URL 发送 GET
                    请求来通知您。您可以使用字符串 ‘$id’ 作为 $id 变量，并使用 ‘$tag’ 作为经过 urlencoded
                    编码的 $tag
                    变量。我们会在发送请求前设置必要的值。示例：http://your-server.com/pingscript?id=$id
                    http://your-server.com/pingscript?id=$id&tag=$tag
                    注意：pingback_url 中的特殊字符将经过 urlencoded 编码；例如，# 字符将被编码为
                    %23。请在我们的帮助中心了解更多信息
              required:
                - app_collection
                - location_name
                - location_code
                - language_name
                - language_code
                - postback_data
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasksarray 中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 系统中采用通用唯一标识符（UUID）格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围可以是 10000-60000
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组；在此情况下，该值将为 null
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````